build:
  image: registry.gitlab.com/misotolar/docker-archlinux:master
  stage: build
  before_script:
    - pacman -Suyy --noconfirm --noprogressbar
    - sudo -u build -- gpg --recv-keys --keyserver hkp://keyserver.ubuntu.com C2BF0BC433CFC8B3
    - chown build:build . -R
  script:
    - sudo -u build -- makepkg -s --noconfirm --noprogressbar
  artifacts:
    paths:
      - "*.pkg.tar.zst"

trigger-repository-build:
  image: registry.gitlab.com/misotolar/docker-alpine:master
  stage: deploy
  variables:
    GIT_STRATEGY: none
  dependencies: []
  script:
    - curl -s -S -f -o /dev/null --request POST --form "token=$CI_JOB_TOKEN" --form ref=master https://gitlab.com/api/v4/projects/$REPOSITORY_PROJECT_ID/trigger/pipeline
  allow_failure: true
